package de.ivu.elect.presentation.system.menu;

import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;
import de.ivu.elect.presentation.system.TimerStatusView;


import static de.ivu.elect.business.security.UseCasePermission.TIMER_STATUSUEBERSICHT_ANZEIGEN;

/**
 *  on 31.10.2016.
 */
public class TimerMenuItemEntry extends AbstractMenuItemEntry {
  @Override
  protected boolean isDisabledInternal() {
    return false;
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }

  @Override
  public String getTargetViewId() {
    return TimerStatusView.VIEW_ID;
  }

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(TIMER_STATUSUEBERSICHT_ANZEIGEN);
  }

  @Override
  public String getIcon() {
    return getIcons().getIconClock();
  }

  @Override
  public String getLabelKey() {
    return "timer.menu.item";
  }
}
